import request from '@/utils/request'

// 查询客户分销信息列表
export function listCustomerDistributionRecord(query) {
  return request({
    url: '/customerDistributionRecord/customerDistributionRecord/list',
    method: 'get',
    params: query
  })
}

// 查询客户分销信息详细
export function getCustomerDistributionRecord(id) {
  return request({
    url: '/customerDistributionRecord/customerDistributionRecord/' + id,
    method: 'get'
  })
}

// 新增客户分销信息
export function addCustomerDistributionRecord(data) {
  return request({
    url: '/customerDistributionRecord/customerDistributionRecord',
    method: 'post',
    data: data
  })
}

// 修改客户分销信息
export function updateCustomerDistributionRecord(data) {
  return request({
    url: '/customerDistributionRecord/customerDistributionRecord',
    method: 'put',
    data: data
  })
}

// 删除客户分销信息
export function delCustomerDistributionRecord(id) {
  return request({
    url: '/customerDistributionRecord/customerDistributionRecord/' + id,
    method: 'delete'
  })
}

// 查询分销奖励设定列表 
export function getCustomerDistributionSetList() {
	return request({
	  url: '/customerDistributionSet/customerDistributionSet/list',
	  method: 'get'
	})
}

// 编辑分销奖励设定 
export function updateCustomerDistributionSet(data) {
	return request({
	  url: '/customerDistributionSet/customerDistributionSet',
	  method: 'post',
	  data: data
	})
  }